Confirm whether a direct-to-S3 vault upload succeeded or failed. This endpoint emits vault.upload.completed or vault.upload.failed events and is idempotent for repeated confirmations.
curl --request POST \
--url https://api.case.dev/vault/{id}/upload/{objectId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"success": true,
"sizeBytes": 2684354560,
"etag": "<string>"
}
'{
"vaultId": "vault_123",
"objectId": "obj_456",
"status": "completed",
"alreadyConfirmed": false
}API key starting with sk_case_
Was this page helpful?
curl --request POST \
--url https://api.case.dev/vault/{id}/upload/{objectId}/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"success": true,
"sizeBytes": 2684354560,
"etag": "<string>"
}
'{
"vaultId": "vault_123",
"objectId": "obj_456",
"status": "completed",
"alreadyConfirmed": false
}